Loading...
Searching...
No Matches
remoteindices.hh File Reference
Common » Parallel Communication » Parallel Computing based on Indexsets

Classes describing a distributed indexset. More...

`#include <cassert>`
`#include <iostream>`
`#include <ostream>`
`#include <map>`
`#include <memory>`
`#include <set>`
`#include <tuple>`
`#include <utility>`
`#include <vector>`
`#include <mpi.h>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/sllist.hh>`
`#include <dune/common/stdstreams.hh>`
`#include <dune/common/parallel/indexset.hh>`
`#include <dune/common/parallel/mpitraits.hh>`
`#include <dune/common/parallel/plocalindex.hh>`

Go to the source code of this file.

## Classes

class | Dune::MPITraits< IndexPair< TG, ParallelLocalIndex< TA > > >
class | Dune::RemoteIndex< T1, T2 >
| Information about an index residing on another processor. More...
class | Dune::RemoteIndices< T, A >
| The indices present on remote processes. More...
class | Dune::RemoteIndexListModifier< T, A, mode >
| Modifier for adding and/or deleting remote indices from the remote index list. More...
class | Dune::RemoteIndexListModifier< T, A, mode >::InvalidPosition
class | Dune::CollectiveIterator< T, A >
| A collective iterator for moving over the remote indices for all processes collectively. More...
class | Dune::CollectiveIterator< T, A >::iterator
| Iterator over the valid underlying iterators. More...

## Namespaces

namespace | Dune
| Dune namespace

## Functions

template<typename T1, typename T2>
std::ostream & | Dune::operator<< (std::ostream &os, const RemoteIndex< T1, T2 > &index)
template<class T, class A>
std::ostream & | Dune::operator<< (std::ostream &os, const RemoteIndices< T, A > &indices)
template<typename TG, typename TA>
std::ostream & | Dune::operator<< (std::ostream &os, const RemoteIndex< TG, TA > &index)

## Variables

template<typename TG, typename TA>
MPI_Datatype | Dune::MPITraits< IndexPair< TG, ParallelLocalIndex< TA > > >::type =MPI_DATATYPE_NULL

## Detailed Description

Classes describing a distributed indexset.

Author
  Markus Blatt